body {
    font-family: 'Open Sans', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f8f9fa;
    line-height: 1.6;
    color: #333;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

h1, h2, .card-title {
    font-family: 'Montserrat', sans-serif;
}

.navbar {
    background-color: #ffffff;
    border-bottom: 1px solid #ddd;
}

.header-banner {
    background: linear-gradient(135deg, #4e73df, #1cc88a);
    padding: 100px 0;
    color: #ffffff;
}

.card {
    border: none;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    transition: box-shadow 0.3s ease, transform 0.3s ease;
    text-align: center;
    padding: 20px;
}

.card-title {
    font-weight: 600;
    font-size: 1.5rem;
    margin-bottom: 10px;
    min-height: 60px; /* Równa wysokość tytułów */
}

.card-text {
    flex-grow: 1;
    font-weight: 300;
    color: #666;
    margin-bottom: 15px;
    min-height: 100px; /* Równa wysokość tekstów */
}

#guide {
    opacity: 0;
    transition: opacity 1s ease;
    visibility: hidden;
    margin-top: 40px; /* Dodany margines, aby oddzielić przewodnik od kafelków */
}


#guide.visible {
    opacity: 1;
    visibility: visible;
}

.footer {
    background-color: #f1f1f1;
    padding: 20px 0;
    text-align: center;
    color: #666;
}

a:hover {
    color: #17a673;
}

.btn-primary {
    background-color: #1cc88a;
    border-color: #1cc88a;
    transition: background-color 0.3s ease-in-out, transform 0.3s ease-in-out;
}

.btn-primary:hover {
    background-color: #17a673;
    transform: translateY(-2px);
}



/* gallery */
/* Gallery Section */
.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 20px;
    padding: 20px;
}

.gallery a {
    display: block;
    overflow: hidden;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.gallery a:hover {
    transform: scale(1.05);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.gallery img {
    width: 100%;
    height: 200px; /* Fixed height for uniformity */
    object-fit: cover; /* Ensures images are cropped uniformly */
    border-radius: 8px;
}


/* Lightbox Caption Styling (optional) */
.lb-data .lb-caption {
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    color: #666;
}
